Bug 1967 - /usr/lib/rpm/dbconvert.sh doesn't work
: /usr/lib/rpm/dbconvert.sh doesn't work
Status: RESOLVED WONTFIX
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal minor
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-25 15:59 MSD by Denis Silakov
Modified: 2013-06-14 13:27 MSD (History)
2 users (show)

See Also:
RPM Package: rpm
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-04-25 15:59:12 MSD
/usr/lib/rpm/dbconvert.sh is an auxiliary wrapper used to convert database from one format to another. currently it fails to launch because it expects to see berkley db 5.1, while we have 5.2:

which: no db51_stat in (/usr/bin:/bin:/usr/local/bin:/usr/X11R6/bin/:/usr/games:/usr/lib/qt4/bin:/home/uragan/bin:/usr/lib/ssh)
Unable to locate db_stat
which: no db51_dump in (/usr/bin:/bin:/usr/local/bin:/usr/X11R6/bin/:/usr/games:/usr/lib/qt4/bin:/home/uragan/bin:/usr/lib/ssh)
Unable to locate db_dump
which: no db51_load in (/usr/bin:/bin:/usr/local/bin:/usr/X11R6/bin/:/usr/games:/usr/lib/qt4/bin:/home/uragan/bin:/usr/lib/ssh)
Unable to locate db_load
Comment 1 Denis Silakov 2013-04-25 16:00:11 MSD
Advisory:

Fixed dbconvert.sh wrapper to work with db5.2.

Build lists:

https://abf.rosalinux.ru/build_lists/1075326
https://abf.rosalinux.ru/build_lists/1075326
Comment 2 Denis Silakov 2013-04-25 16:03:00 MSD
Sorry, wrong build lists. Please find the correct ones below.

Advisory:

Fixed dbconvert.sh wrapper to work with db5.2.

Build lists:

https://abf.rosalinux.ru/build_lists/1075326
https://abf.rosalinux.ru/build_lists/1075327
Comment 3 Vladimir Potapov 2013-04-25 17:58:07 MSD
Hm
# /usr/lib/rpm/dbconvert.sh
which: no db52_stat in (/sbin:/usr/sbin:/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin:/usr/local/sbin:/usr/lib/qt4/bin)
Unable to locate db_stat
which: no db52_dump in (/sbin:/usr/sbin:/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin:/usr/local/sbin:/usr/lib/qt4/bin)
Unable to locate db_dump
which: no db52_load in (/sbin:/usr/sbin:/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin:/usr/local/sbin:/usr/lib/qt4/bin)
Unable to locate db_load
Found db_recover: /usr/bin/db52_recover version: 5.2
[root@Fresh64 keleg]# urpmi rpm
Пакет rpm-5.4.10-10-rosa2012.1.x86_64 уже установлен
Comment 4 Denis Silakov 2013-04-25 18:09:49 MSD
Hm, these tools come from db52_utils, maybe we should require it. On the other hand, as POK says, we have a binary analogue of this wrapper that should be more robust.

Does the following command works for you:

/usr/lib/rpm/bin/dbconvert

?

If yes, then I will patch /usr/lib/rpm/dbconvert.sh to suggest to use /usr/lib/rpm/bin/dbconvert instead.
Comment 5 Alexander Petryakov 2013-04-28 08:56:11 MSD
/usr/lib/rpm/bin/dbconvert has working without error messages: 
converting /var/lib/rpm/rpmdbNdXqu7/Packages: 1902/1902 100%

/usr/lib/rpm/dbconvert.sh aslo work, after urpmi db52-utils has been manual installed
# urpmi db52-utils
# /usr/lib/rpm/dbconvert.sh 
Found db_stat: /usr/bin/db52_stat version: 5.2
Found db_dump: /usr/bin/db52_dump version: 5.2
Found db_load: /usr/bin/db52_load version: 5.2
Found db_recover: /usr/bin/db52_recover version: 5.2
rpmdb already converted, set variable DBFORCE=1 to force

p.s. by default installed only db52_recover-5.2.42-1
Comment 6 Denis Silakov 2013-06-14 13:27:18 MSD
We have finally decided not to take care of dbconvert.sh. This script is just not recommended to be used. If you still want to use it, you should understand what are you doing, and it won't be hard for you to install necessary auxiliary scripts.

We don't mention this script in any documentation files, so it's unlikely that ordinary users will launch it.